using FluentValidation;

namespace SIGCM2.Application.Medios.Update;

public sealed class UpdateMedioCommandValidator : AbstractValidator<UpdateMedioCommand>
{
    private const int NombreMaxLength = 100;

    public UpdateMedioCommandValidator()
    {
        RuleFor(x => x.Id)
            .GreaterThan(0).WithMessage("El id debe ser mayor a 0.");

        RuleFor(x => x.Nombre)
            .NotEmpty().WithMessage("El nombre es requerido.")
            .MaximumLength(NombreMaxLength).WithMessage($"El nombre no puede superar los {NombreMaxLength} caracteres.");

        RuleFor(x => x.Tipo)
            .IsInEnum().WithMessage("El tipo de medio no es válido.");
    }
}
